%define url_ver %(echo %{version} | cut -d. -f1,2)

%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

Name:		xfce4-whiskermenu-plugin
Version:	2.3.3
Release:	%mkrel 1
Summary:	An alternate application launcher for Xfce
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://gottcode.org/xfce4-whiskermenu-plugin/
Source0:	https://archive.xfce.org/src/panel-plugins/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
# for %%autosetup -S git_am
BuildRequires:	git-core
BuildRequires:	cmake
BuildRequires:	pkgconfig(exo-2)
BuildRequires:	pkgconfig(garcon-1)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxfce4panel-2.0)
BuildRequires:	pkgconfig(libxfce4ui-2)
BuildRequires:	pkgconfig(libxfce4util-1.0)
Requires:	xfce4-panel
Requires:	hicolor-icon-theme

%description
Alternate application launcher for Xfce. When you open it you are shown
a list of applications you have marked as favorites. You can browse through
all of your installed applications by clicking on the category buttons on the
side. Top level categories make browsing fast, and simple to switch between.
Additionally, Whisker Menu keeps a list of the last ten applications
that you've launched from it.

%prep
%autosetup -p1 -S git_am

%build
%cmake \
	-DCMAKE_INSTALL_DO_STRIP:BOOL=OFF
%make_build

%install
%make_install -C build

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS README NEWS
%{_bindir}/xfce4-popup-whiskermenu
%{_libdir}/xfce4/panel/plugins/libwhiskermenu.so
%{_datadir}/xfce4/panel/plugins/whiskermenu.desktop
%{_datadir}/icons/hicolor/*/apps/xfce4-whiskermenu.{png,svg}
%{_mandir}/man1/xfce4-popup-whiskermenu.1*


%changelog
* Mon Aug 19 2019 wally <wally> 2.3.3-1.mga7
+ Revision: 1430277
- new version 2.3.3

* Tue Mar 26 2019 wally <wally> 2.3.2-1.mga7
+ Revision: 1380355
- new version 2.3.2
- drop upstreamed patches

* Sun Feb 03 2019 wally <wally> 2.3.1-2.mga7
+ Revision: 1362893
- add upstream patch to fix editing menu items containting a single quote (xfce#15091)

* Sat Jan 19 2019 wally <wally> 2.3.1-1.mga7
+ Revision: 1358149
- new version 2.3.1

* Wed Oct 03 2018 wally <wally> 2.3.0-1.mga7
+ Revision: 1317191
- new version 2.3.0

* Sun Sep 23 2018 umeabot <umeabot> 2.2.1-2.mga7
+ Revision: 1301891
- Mageia 7 Mass Rebuild

* Fri Jul 13 2018 wally <wally> 2.2.1-1.mga7
+ Revision: 1243456
- new version 2.2.1

* Mon May 21 2018 wally <wally> 2.2.0-1.mga7
+ Revision: 1231131
- new version 2.2.0

* Sun Apr 22 2018 wally <wally> 2.1.7-1.mga7
+ Revision: 1221147
- new version 2.1.7

* Fri Apr 13 2018 wally <wally> 2.1.6-1.mga7
+ Revision: 1218383
- new version 2.1.6

* Fri Dec 29 2017 wally <wally> 2.1.5-1.mga7
+ Revision: 1186955
- new version 2.1.5

* Mon Dec 04 2017 wally <wally> 2.1.4-1.mga7
+ Revision: 1181211
- new version 2.1.4

* Sat Sep 30 2017 wally <wally> 2.1.3-1.mga7
+ Revision: 1162011
- new version 2.1.3
- switch to gtk3

* Sat Jan 07 2017 wally <wally> 1.6.2-1.mga6
+ Revision: 1080413
- new version 1.6.2

* Sat Aug 20 2016 wally <wally> 1.6.0-1.mga6
+ Revision: 1047442
- new version 1.6.0

* Wed Apr 27 2016 wally <wally> 1.5.2-2.mga6
+ Revision: 1006992
- add patches from upstream
  * fix disappearing menu categories (xfce#12541)
  * fix stuck button highlight (xfce#12402)

* Sun Mar 13 2016 wally <wally> 1.5.2-1.mga6
+ Revision: 990255
- new version 1.5.2 with upstream fix for build time warning (xfce#12398)

* Wed Feb 17 2016 umeabot <umeabot> 1.5.1-2.mga6
+ Revision: 963603
- Mageia 6 Mass Rebuild

* Sat Sep 26 2015 wally <wally> 1.5.1-1.mga6
+ Revision: 883796
- new version 1.5.1

* Sat Sep 19 2015 wally <wally> 1.5.0-2.mga6
+ Revision: 881358
- disable stripping to get debuginfo pkg

* Sat Jun 20 2015 wally <wally> 1.5.0-1.mga6
+ Revision: 836227
- new version 1.5.0

* Tue Mar 03 2015 wally <wally> 1.4.3-2.mga5
+ Revision: 817462
- rebuild for new libxfce4util

* Tue Feb 17 2015 wally <wally> 1.4.3-1.mga5
+ Revision: 815387
- new version 1.4.3

* Sat Feb 07 2015 wally <wally> 1.4.2-1.mga5
+ Revision: 813874
- new version 1.4.2

* Sat Dec 06 2014 wally <wally> 1.4.1-1.mga5
+ Revision: 801744
- new version 1.4.1

* Wed Oct 15 2014 umeabot <umeabot> 1.4.0-3.mga5
+ Revision: 749030
- Second Mageia 5 Mass Rebuild

* Sun Sep 21 2014 umeabot <umeabot> 1.4.0-2.mga5
+ Revision: 706911
- Mageia 5 Mass Rebuild

* Wed Jun 25 2014 wally <wally> 1.4.0-1.mga5
+ Revision: 639686
- new version 1.4.0
- drop patches from upstream

* Sun May 11 2014 wally <wally> 1.3.2-2.mga5
+ Revision: 621966
- add patch from upstream to load apps menu immediately

* Wed Mar 19 2014 wally <wally> 1.3.2-1.mga5
+ Revision: 605567
- new version 1.3.2

* Tue Feb 04 2014 wally <wally> 1.3.1-1.mga5
+ Revision: 580969
- new version 1.3.1
- add patch from upstream to allow swapping categories and launchers location

* Sun Dec 22 2013 wally <wally> 1.2.2-1.mga4
+ Revision: 559941
- import xfce4-whiskermenu-plugin (based on .spec from Fedora)

